# dahdi_ep.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib.h>`
`#include <ptlib/mutex.h>`
`#include <ptclib/inetmail.h>`
`#include <ptclib/dtmf.h>`
`#include <lids/lid.h>`
`#include <codec/g711codec.h>`
`#include <dahdi/user.h>`
`#include <unistd.h>`
`#include <sys/ioctl.h>`
`#include <poll.h>`
`#include <signal.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <iostream>`
`#include <vector>`
`#include <queue>`

Include dependency graph for dahdi_ep.h:

Go to the source code of this file.

## Data Structures

class | DahdiLineInterfaceDevice
struct | DahdiLineInterfaceDevice::ChannelInfo
struct | DahdiLineInterfaceDevice::FXSChannelInfo